%define major     %{version}
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           fifechan
Version:        0.1.5
Release:        %mkrel 2
Summary:        Portable C++ GUI library for games using Allegro, SDL and OpenGL
Group:          System/Libraries
License:        LGPLv2+
URL:            http://fifengine.github.io/fifechan/
Source0:        https://github.com/fifengine/fifechan/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  allegro4-devel
BuildRequires:  cmake
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)

%description
Fifechan is a lightweight cross platform GUI library written in C++
specifically designed for games. It has a small yet powerful built in set
of extendable GUI Widgets allowing users to create virtually unlimited
types of widgets. Fifechan supports rendering in SDL, OpenGL, or Allegro
out of the box or it can be adapted to use any rendering engine the user
requires. Events are pushed to Fifechan which allows users to use any input
library they wish or they could use the built in input handling through
either SDL input or Allegro input.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%autosetup -p1

iconv -f ISO-8859-1 -t UTF-8 AUTHORS > AUTHORS.new
touch -r AUTHORS AUTHORS.new
mv AUTHORS.new AUTHORS

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS CHANGELOG.md README.md
%{_libdir}/lib%{name}*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}*
%{_libdir}/lib%{name}*.so


%changelog
* Sat Feb 15 2020 daviddavid <daviddavid> 0.1.5-2.mga8
+ Revision: 1526539
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Jan 16 2019 zezinho <zezinho> 0.1.5-1.mga7
+ Revision: 1357339
- new version 0.1.5

* Sun Sep 23 2018 umeabot <umeabot> 0.1.4-3.mga7
+ Revision: 1297694
- Mageia 7 Mass Rebuild

* Sun Mar 12 2017 akien <akien> 0.1.4-2.mga6
+ Revision: 1092244
- Rebuild against allegro4

* Thu Feb 09 2017 akien <akien> 0.1.4-1.mga6
+ Revision: 1085229
- Version 0.1.4

* Tue Jan 17 2017 akien <akien> 0.1.3-1.mga6
+ Revision: 1082126
- Version 0.1.3

* Tue Feb 09 2016 umeabot <umeabot> 0.1.2-2.mga6
+ Revision: 951138
- Mageia 6 Mass Rebuild

* Mon Dec 08 2014 akien <akien> 0.1.2-1.mga5
+ Revision: 802149
- Version 0.1.2

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 741246
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 679180
- Mageia 5 Mass Rebuild

* Sun May 18 2014 akien <akien> 0.1.1-1.mga5
+ Revision: 623528
- Adapt spec file for Fifechan
- Now built using cmake
- Drop static package
- Drop guichan patches
- Rename guichan after the fork
- Fifechan is a fork of guichan

* Fri Oct 18 2013 umeabot <umeabot> 0.8.2-6.mga4
+ Revision: 506084
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 0.8.2-5.mga3
+ Revision: 354344
- fix build with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 alien <alien> 0.8.2-4.mga1
+ Revision: 61037
- Remove BuildRoot
- imported package guichan

